View Issue Details

IDProjectCategoryView StatusLast Update
0001671ECLERD[All Projects] Generalpublic2016-08-28 18:27
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityminorReproducibilityalways
Status CloseResolutionfixed 
Product Versionv0 
Target VersionFixed in Version0.1.1 
Summary0001671: Algo de simulation du pays et de la planète trop lents
DescriptionDans ce cas, la case est simulée, mais mon algo actuel est absoluement immonde (la durée de simulation est d'environ 2 secondes! alors qu'on n'a qu'une quarantaine d'usines...).

Il faut revoir cet algorithme (faire un algo ensembliste directement).

Il faudra également créer l'algo pour simuler la planète entière sur le même principe (ensembliste), et le lancer par tâche CRON (en dev, cela veut dire qu'il me faut la structure pour lancer un script PHP en "ligne de commande"; il sera alors lancé de même en prod via une tache CRON; à noter que je veux passer par le "handler/*.php" comme pour un appel serveur car cela me permet d'avoir les Loggers et la Facade donnant les informations sur le MySQL de l'environnement d'exécution du script).
Steps To ReproduceAller sur une case "pays" qui n'a pas été simulée depuis au moins 1 jour in game
TagsNo tags attached.
Attach Tags

Activities

Xenos

Xenos

2016-08-15 19:07

administrator   ~0002147

De plus, la structure même de cet algo est immonde: il faut synchroniser proprement la génération du rapport de production et la production/consommation effective.
Xenos

Xenos

2016-08-28 18:27

administrator   ~0002184

Résolu en supprimant simplement l'algo de simulation... Il faudra que je le refasse proprement, maintenant que j'ai déployé une première version (et encore, je ferai peut-être une version statique & lecture seule esthétique *avant* de m'attaquer à la simulation de l'avancement du temps).

Issue History

Date Modified Username Field Change
2016-08-15 16:41 Xenos New Issue
2016-08-15 16:41 Xenos Status New => Accepted
2016-08-15 19:07 Xenos Note Added: 0002147
2016-08-27 23:40 AutoUpdater Assigned To => Xenos
2016-08-27 23:40 AutoUpdater Status Accepted => Resolved
2016-08-27 23:40 AutoUpdater Resolution open => fixed
2016-08-27 23:40 AutoUpdater Fixed in Version => 0.1.1
2016-08-28 18:27 Xenos Note Added: 0002184
2016-08-28 18:27 Xenos Status Resolved => Close